.buy-modal{
    margin: 0 auto;
    padding: 30px 50px !important;
    width: 100% !important;
    max-width: 698px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
}

.buy-modal .popup-window-titlebar-text{
    font-size: 28px;
    font-family: 'Futura PT', sans-serif;
    font-weight: normal;
    color: var(--color-main);
}

.buy-modal .popup-window-content{
    border: 1px solid #e4e4e4;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    background: transparent;
    justify-content: space-between;
    margin: 40px 0;
    padding: 20px;
}
.buy-modal .basket-row{
    display: flex;
    align-items: center;
    gap: 7px;
    justify-content: space-between;
}
.buy-modal .basket-window-modal{
    width: 100%;
}

.basket-photo img{
    border: 1px solid #e4e4e4;
    min-width: 70px;
    max-width: 70px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.buy-modal .basket-title{
    max-width: 360px;
}

.buy-modal .popup-window-buttons{
    display: flex;
    justify-content: center;
    padding: 0 !important;
}

.buy-modal .popup-window-button-link{
    padding: 18px 20px !important;
}
.buy-modal .popup-window-titlebar-close-icon{
    top: 40px;
    right: 50px;
}
.buy-modal .popup-window-close-icon:after{
    width: 20px;
    height: 20px;
}

.title-search-result {
    border: 1px solid #ced4da;
    display: none;
    overflow: hidden;
    z-index: 205;
    background-color: #fff;
    padding: 10px;
    border-radius: 3px;
}

div.title-search-result {
    border: 1px solid #c6c6c6;
    display: none;
    overflow: hidden;
    z-index: 999;
    min-width: 370px;
    margin-top: -3px;
    background-color: #FFF;
}


.title-search-result .bx_item_element{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.title-search-result .bx_item_block{
    display: flex;
    align-items: center;
    gap: 5px;
}
.title-search-result .bx_img_element:has(.bx_image){
    width: 75px;
    height: 75px;
}

.title-search-result .bx_image{
    height: 100%;
}

.all_result a{
    color: var(--color-red) !important;
}

.others_result a:hover,
.all_result a:hover{
    text-decoration: underline !important;
}
.subheader:has(.subheader_nav:hover) + .promo.promo_absolute,
.promo.promo_absolute:hover{
    display: block;
}
.promo.promo_absolute{
    display: none;
    position: absolute;
    margin-top: 0px;
    z-index: 999999;
    width: calc(100% - 30px);
}

.promo_absolute .subheader_box:first-child{
    height: fit-content;
}

.promo_absolute .subheader_box:last-child{
    display: none;
}

.b24-widget-button-inner-block,
.b24-widget-button-inner-mask{
    background: var(--color-red) !important;
}

.bx-livechat-box .bx-livechat-head-wrap .bx-livechat-head{
    background-color: var(--color-red) !important;
}

.b24-widget-button-pulse{
    border-color: var(--color-red) !important;
    border: 1px solid var(--color-red) !important;
}

@media(max-width: 580px){
    .buy-modal{
        padding: 30px 5px !important;
    }
    .basket-row-price span{
        display: block;
        width: max-content;
    }
}